1. Employee
Payflow API
Spain
  • Spain
  • Colombia
  • Peru
  • Guides
    • API Integration guide
  • Definitions
    • Employees
      • Employee Statuses
      • Salary Concepts
    • Payments
      • Payment Lifecycle
  • Explore our Public API
    • Auth & Health
      • Health
      • Test an API Key
    • Company
      • Retrieve your Company Details
    • Employee
      • Retrieve an Employee
        GET
      • Retrieve all Employees
        GET
      • Retrieve all Employees (V1.1)
        GET
      • Create an Employee
        POST
      • Upsert Employees in Bulk
        POST
      • Update an Employee by Personal ID
        PUT
      • Update an Employee by Payflow ID
        PUT
      • Update an Employee by Payroll ID
        PUT
    • Leaves
      • Retrieve all Employees on Leave
      • Create an Employee Leave
      • Remove an Employee Leave
    • Payments
      • Retrieve a Payment
      • Retrieve all Payments
      • Retrieve Employee Payments
      • Calculate Employee Available Amount
      • Request a Payment
      • Subscribe to Payment Updates
      • Mark Payments as Informed
    • Flexflow
      • Retrieve all Flexflow Transactions
      • Retrieve Employee Flexflow Transactions
  • Notifications Structure
    • Payment Updates
  • Schemas
    • Company
      • Company Response
    • Employee
      • ES | Create Employee Request
      • ES | Update Employee Request
      • ES | Employee Response
      • Create Employee Leave Request
    • Payment
      • Payment Response
      • Payment Response Convoluted
      • Payment Update
    • Flexflow
      • Employee Flexflow Transactions
    • Error
      • Generic Error Response
  1. Employee

Retrieve an Employee

Production
https://api-public.payflow.es
Production
https://api-public.payflow.es
GET
https://api-public.payflow.es
/employee
Retrieves employee information using one of the supported identifiers.
Either id, payrollId, or personalId must be provided as a query parameter. Only one employee is returned per request.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Query Params

Responses

🟢200
application/json
Bodyapplication/json

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-public.payflow.es/employee?id=' \
--header 'authorization: <api-key>'
Response Response Example
200 - Success
{
    "data": {
        "id": 1,
        "payrollId": "Emp01",
        "firstName": "John",
        "lastName": "Doe",
        "documentType": null,
        "personalId": "12345678A",
        "bankAccountNumber": null,
        "bankAccountType": null,
        "iban": "ES0000000000000000000000",
        "bic_swift": null,
        "bankEntity": null,
        "grossSalary": null,
        "netSalary": 1500,
        "paymentFrequency": "monthly",
        "availableAmount": 0,
        "restrictedAmount": 0,
        "startDate": "2020-06-30",
        "contractEnd": null,
        "email": "john.doe@payflow.es",
        "address": "Employee Adress",
        "phone": null,
        "status": "active",
        "subsidiary": 1,
        "subsidiaryTaxId": "A00000000",
        "subsidiaryCode": "01",
        "active": false,
        "counter": 0,
        "agreedTyC": true,
        "lastLearnflowUse": null
    }
}
Modified at 2026-05-13 08:31:11
Previous
Retrieve your Company Details
Next
Retrieve all Employees
Built with